<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <div class="row">
          <div class="col-sm-6">
            <span>
              Permission
            </span>
          </div>
          <div class="col-sm-6">
            <button class="btn btn-success fa-pull-right btn-xs"
              (click)="addMenuPermission()">
              Add Permission
            </button>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-treeTable [value]="treeViewMenus"
          [columns]="columnName"
          selectionMode="checkbox"
          (selectionChange)="trackParent($event)"
          [(selection)]="selectedNodes">
          <ng-template pTemplate="caption">
            <div style="text-align:left">
              <p-treeTableHeaderCheckbox></p-treeTableHeaderCheckbox>
              <span style="margin-left: .25em; vertical-align: middle">
                Select All
              </span>
              <span *ngIf="selectSomethingMessage" style="color: red">
                Please, select at least one menu.
              </span>
            </div>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns">
                {{col.name}}
              </th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-rowNode let-rowData="rowData" let-columns="columns">
            <tr>
              <td *ngFor="let col of columns; let i = index">
                <p-treeTableToggler [rowNode]="rowNode" *ngIf="i == 0"></p-treeTableToggler>
                <p-treeTableCheckbox [value]="rowNode" *ngIf="i == 0"></p-treeTableCheckbox>
                {{rowData[col.value]}}
              </td>
            </tr>
          </ng-template>
        </p-treeTable>
      </div>
    </div>
  </div>
</div>


<p-dialog [(visible)]="showConfirmation"
  [modal]="true" [responsive]="true" [maximizable]="true"
  [baseZIndex]="100000"
  [style]="{width: '600px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">Add Menu Permission Based on User Group</h3>
  </p-header>
  <form [formGroup]="confirmationMenuForm">
    <p-treeTable>
      <ng-template pTemplate="summary">
        <div style="text-align: left">
          Selected Menus:
          <span *ngIf="!selectedNodes || selectedNodes.length === 0" style="font-weight: normal">none</span>
          <ul *ngIf="selectedNodes && selectedNodes.length">
            <li *ngFor="let node of selectedNodes">
              <span
                style="font-weight: normal">{{node.data.name + ' - ' + node.data.icon + ' - ' + node.data.url}}</span>
            </li>
          </ul>
        </div>
      </ng-template>
    </p-treeTable>

    <div class="form-group">
      <label for="userGroup">User Group<span class="required">*</span></label>
      <select id="userGroup"
              class="form-control"
              [ngClass]="{ 'is-invalid': submitted && f.userGroup.errors }"
              name="userGroup"
              formControlName="userGroup"
              required>
        <option *ngFor="let event of (userGroups); let i = index"
          [ngValue]="(userGroups)[i]"
        >{{(userGroups)[i].description + ' ( ' + (userGroups)[i].description + ' )' }}</option>
      </select>
      <div *ngIf="submitted && f.userGroup.errors" class="invalid-feedback">
        <div *ngIf="f.userGroup.errors.required">User group is required.</div>
      </div>
    </div>

  </form>
  <footer>
    <div class="row">
      <div class="col-sm-6">
        <button class="btn btn-sm btn-success btn-block"
          (click)="submit()"
          [disabled]="loading"
                type="submit">
          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
          Submit
        </button>
      </div>
      <div class="col-sm-6">
        <button class="btn btn-sm btn-danger btn-block"
          (click)="resetForm()">
          Cancel
        </button>
      </div>
    </div>
  </footer>
</p-dialog>
